## directsoundsink directsoundsink — DirectSound audio sink |

## Types and Values

struct | GstDirectSoundSink

## Object Hierarchy

## Description

## Synopsis

### Element Information

plugin | directsound
author | Sebastien Moutte <sebastien@moutte.net>
class | Sink/Audio

### Element Pads

## Functions

## Types and Values

### struct GstDirectSoundSink

    struct GstDirectSoundSink {
      GstAudioSink sink;

      /* directsound object interface pointer */
      LPDIRECTSOUND pDS;

      /* directsound sound object interface pointer */
      LPDIRECTSOUNDBUFFER pDSBSecondary;

      /* directSound buffer size */
      guint buffer_size;

      /* offset of the circular buffer where we must write next */
      guint current_circular_offset;

      guint bytes_per_sample;

      /* current volume setup by mixer interface */
      glong volume;

      /* tracks list of our mixer interface implementation */
      GList *tracks;

      GstCaps *cached_caps;

      /* lock used to protect writes and resets */
      GMutex *dsound_lock;

      gboolean first_buffer_after_reset;

      GstBufferFormat buffer_format;
    };